import { Pipe } from '@angular/core';
/**
 * A pipe to convert milliseconds to a string representation
 *
 * @export
 * @class AudioTimePipe
 * @implements {PipeTransform}
 */
var AudioTimePipe = (function () {
    function AudioTimePipe() {
    }
    /**
     * Transforms milliseconds to hh:mm:ss
     *
     * @method transform
     * @param {number} [value] The milliseconds
     * @return {string} hh:mm:ss
     */
    /**
       * Transforms milliseconds to hh:mm:ss
       *
       * @method transform
       * @param {number} [value] The milliseconds
       * @return {string} hh:mm:ss
       */
    AudioTimePipe.prototype.transform = /**
       * Transforms milliseconds to hh:mm:ss
       *
       * @method transform
       * @param {number} [value] The milliseconds
       * @return {string} hh:mm:ss
       */
    function (value) {
        if (value === undefined || Number.isNaN(value))
            return '';
        var s = Math.trunc(value % 60);
        var m = Math.trunc((value / 60) % 60);
        var h = Math.trunc(((value / 60) / 60) % 60);
        return h > 0 ? (h < 10 ? '0' + h : h) + ":" + (m < 10 ? '0' + m : m) + ":" + (s < 10 ? '0' + s : s) : (m < 10 ? '0' + m : m) + ":" + (s < 10 ? '0' + s : s);
    };
    AudioTimePipe.decorators = [
        { type: Pipe, args: [{ name: 'audioTime' },] },
    ];
    /** @nocollapse */
    AudioTimePipe.ctorParameters = function () { return []; };
    return AudioTimePipe;
}());
export { AudioTimePipe };
//# sourceMappingURL=ionic-audio-time-pipe.js.map